=begin pod

=TITLE class X::IO::Mkdir

    class X::IO::Mkdir does X::IO is Exception

Error class for failed L<mkdir> operations.

A typical error message is

    Failed to create directory 'destination' with mode '0o755': File exists

=head1 Methods

=head2 path

Returns the path that the L<mkdir> operation failed to create.

=head2 mode

Returns the permissions mask of the failed L<mkdir> operation as an L<Int>.

=end pod
